<?php
/**
 * @version $Id$
 * @package    Contact_Enhanced
 * @subpackage Base
 * @author     Douglas Machado {@link http://ideal.fok.com.br}
 * @author     Created on 11-Nov-09
 * @license		GNU/GPL, see license.txt
 * Contact Enhanced  is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

require_once( JApplicationHelper::getPath( 'toolbar_html' ) );
if(!JRequest::getVar('controller')){
	switch ($task)
	{
		case 'add'  :
			TOOLBAR_contact::_EDIT(false);
			break;
		case 'edit' :
		case 'editA':
			TOOLBAR_contact::_EDIT(true);
			break;
	
		case ''  :
		case 'showContacts'  :
			TOOLBAR_contact::_DEFAULT();
			break;
		case 'add'  :
			TOOLBAR_contact::_EDIT(false);
			break;
			
		case 'doc'  :
			TOOLBAR_contact::_DOC(false);
			break;
		
		case 'addCF'  :
		case 'newCF'  :
			TOOLBAR_custom_field::_EDIT(false);
			break;	
		case 'editCF' :
		case 'editACF':
			TOOLBAR_custom_field::_EDIT(true);
			break;
		case 'copyCF'  :
			TOOLBAR_custom_field::_COPY();
			break;
		case 'showCF'  :
			TOOLBAR_custom_field::_DEFAULT();
			break;
	}
}